package xyz.wbsite.module.admin.ent;

import xyz.wbsite.frame.excel.annotation.ExcelNote;
import xyz.wbsite.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import xyz.wbsite.frame.excel.annotation.ExcelSheet;
import xyz.wbsite.frame.base.BaseEntity;

/**
 * CONFIG - 配置预设
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-07
 */
@ExcelSheet("配置预设")
public class Config extends BaseEntity {

    /**
     * CONF_NAME - 配置名称
     */
    @ExcelProperty("配置名称")
    @ExcelNote("")
    private String confName;
    /**
     * CONF_TYPE - 配置类型
     */
    @ExcelProperty("配置类型")
    @ExcelNote("")
    private String confType;
    /**
     * CONF_VALUE - 配置属值
     */
    @ExcelProperty("配置属值")
    @ExcelNote("")
    private String confValue;
    /**
     * CONF_NOTE - 配置备注
     */
    @ExcelProperty("配置备注")
    @ExcelNote("")
    private String confNote;

    public String getConfName() {
        return this.confName;
    }

    public void setConfName(String confName) {
        this.confName = confName;
    }

    public String getConfType() {
        return this.confType;
    }

    public void setConfType(String confType) {
        this.confType = confType;
    }

    public String getConfValue() {
        return this.confValue;
    }

    public void setConfValue(String confValue) {
        this.confValue = confValue;
    }

    public String getConfNote() {
        return this.confNote;
    }

    public void setConfNote(String confNote) {
        this.confNote = confNote;
    }
}